API Reference
List templates
List WhatsApp message templates for this project.
GET
List templates
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
List WhatsApp message templates for this project.
curl --request GET \
--url https://api.zavu.dev/v1/templates \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "<string>",
"name": "order_confirmation",
"language": "en",
"body": "Hi {{1}}, your order {{2}} has shipped.",
"smsBody": "<string>",
"telegramBody": "<string>",
"instagramBody": "<string>",
"status": "draft",
"variables": [
"<string>"
],
"headerType": "<string>",
"headerContent": "<string>",
"footer": "<string>",
"buttons": [
{
"text": "<string>",
"url": "<string>",
"example": "<string>",
"phoneNumber": "<string>",
"packageName": "<string>",
"signatureHash": "<string>"
}
],
"addSecurityRecommendation": true,
"codeExpirationMinutes": 45,
"whatsapp": {
"templateName": "<string>",
"namespace": "<string>",
"status": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"nextCursor": "<string>"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
curl --request GET \
--url https://api.zavu.dev/v1/templates \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "<string>",
"name": "order_confirmation",
"language": "en",
"body": "Hi {{1}}, your order {{2}} has shipped.",
"smsBody": "<string>",
"telegramBody": "<string>",
"instagramBody": "<string>",
"status": "draft",
"variables": [
"<string>"
],
"headerType": "<string>",
"headerContent": "<string>",
"footer": "<string>",
"buttons": [
{
"text": "<string>",
"url": "<string>",
"example": "<string>",
"phoneNumber": "<string>",
"packageName": "<string>",
"signatureHash": "<string>"
}
],
"addSecurityRecommendation": true,
"codeExpirationMinutes": 45,
"whatsapp": {
"templateName": "<string>",
"namespace": "<string>",
"status": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"nextCursor": "<string>"
}